org.apache.cassandra.db

## Class CompactTables.DefaultNames

- java.lang.Object
- - org.apache.cassandra.db.CompactTables.DefaultNames

Enclosing class:
  CompactTables

    public static class CompactTables.DefaultNames
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `defaultClusteringName()`
`java.lang.String` `defaultCompactValueName()`
`java.lang.String` `defaultPartitionKeyName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### defaultPartitionKeyName

    public java.lang.String defaultPartitionKeyName()

#### defaultClusteringName

    public java.lang.String defaultClusteringName()

#### defaultCompactValueName

    public java.lang.String defaultCompactValueName()